JS syntax checking fails because of error in seed

Bug #846463 reported by Curtis Hovey on 2011-09-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pocket-lint
High
Curtis Hovey
pocket-lint (Ubuntu)
Undecided
Curtis Hovey

Bug Description

/usr/bin/seed segfaults (see bug 818200 and maybe every bug reported against the package). Pocket-lint requires a GI enabled JS interpreter, of which there are two. The simple change is to use gjs.

I propose changing pocket-lint to check for both interpreters, and updating the packaging deps to use just gjs.

Related branches

Curtis Hovey (sinzui) on 2011-09-10
Changed in pocket-lint (Ubuntu):
status: New → In Progress
assignee: nobody → Curtis Hovey (sinzui)
Changed in pocket-lint:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Curtis Hovey (sinzui)
milestone: none → future
Curtis Hovey (sinzui) on 2011-09-10
Changed in pocket-lint:
status: In Progress → Fix Committed
Curtis Hovey (sinzui) on 2011-09-10
Changed in pocket-lint:
status: Fix Committed → In Progress
Curtis Hovey (sinzui) on 2011-09-11
Changed in pocket-lint:
status: In Progress → Fix Committed
Curtis Hovey (sinzui) on 2011-09-11
Changed in pocket-lint:
status: Fix Committed → Fix Released
Barry Warsaw (barry) on 2011-10-27
Changed in pocket-lint (Ubuntu):
milestone: none → precise-alpha-1
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers